## Name

CMP — File Comparison Utility

## Synopsis

`cmp` `file1` `file2`

## Description

Opens two files and performs a comparison of the binary values of the corresponding data bytes of the files. If any differences are encountered, the file offset (address) and the values of the bytes from each file are displayed in hexadecimal.

The comparison ends when end-of-file is encountered on either file. A summary of the number of bytes compared and the number of differences found is then displayed.

## Examples

    OS9: cmp red blue

     Differences

    byte      #1 #2
    ========  == ==
    00000013  00 01
    00000022  B0 B1
    0000002A  9B AB
    0000002B  3B 36
    0000002C  6D 65

    Bytes compared:   0000002D
    Bytes different:  00000005

    OS9: cmp red red

     Differences
       None ...

    Bytes compared:   0000002D
    Bytes different:  00000000